LLVM: lldb::SBListener Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBListener Class Reference

`#include <SBListener.h>`

## Public Member Functions
| SBListener ()
| SBListener (const char *name)
| SBListener (const SBListener &rhs)
| ~SBListener ()
const lldb::SBListener & | operator= (const lldb::SBListener &rhs)
void | AddEvent (const lldb::SBEvent &event)
void | Clear ()
bool | IsValid () const
uint32_t | StartListeningForEventClass (SBDebugger &debugger, const char *broadcaster_class, uint32_t event_mask)
bool | StopListeningForEventClass (SBDebugger &debugger, const char *broadcaster_class, uint32_t event_mask)
uint32_t | StartListeningForEvents (const lldb::SBBroadcaster &broadcaster, uint32_t event_mask)
bool | StopListeningForEvents (const lldb::SBBroadcaster &broadcaster, uint32_t event_mask)
bool | WaitForEvent (uint32_t num_seconds, lldb::SBEvent &event)
bool | WaitForEventForBroadcaster (uint32_t num_seconds, const lldb::SBBroadcaster &broadcaster, lldb::SBEvent &sb_event)
bool | WaitForEventForBroadcasterWithType (uint32_t num_seconds, const lldb::SBBroadcaster &broadcaster, uint32_t event_type_mask, lldb::SBEvent &sb_event)
bool | PeekAtNextEvent (lldb::SBEvent &sb_event)
bool | PeekAtNextEventForBroadcaster (const lldb::SBBroadcaster &broadcaster, lldb::SBEvent &sb_event)
bool | PeekAtNextEventForBroadcasterWithType (const lldb::SBBroadcaster &broadcaster, uint32_t event_type_mask, lldb::SBEvent &sb_event)
bool | GetNextEvent (lldb::SBEvent &sb_event)
bool | GetNextEventForBroadcaster (const lldb::SBBroadcaster &broadcaster, lldb::SBEvent &sb_event)
bool | GetNextEventForBroadcasterWithType (const lldb::SBBroadcaster &broadcaster, uint32_t event_type_mask, lldb::SBEvent &sb_event)
bool | HandleBroadcastEvent (const lldb::SBEvent &event)

## Protected Member Functions
| SBListener (const lldb::ListenerSP &listener_sp)
lldb::ListenerSP | GetSP ()

## Friends
class | SBAttachInfo
class | SBBroadcaster
class | SBCommandInterpreter
class | SBDebugger
class | SBLaunchInfo
class | SBTarget

## Detailed Description

Definition at line 17 of file SBListener.h.

## Constructor & Destructor Documentation

lldb::SBListener::SBListener | ( |  | ) |

lldb::SBListener::SBListener | ( | const char * | name | ) |

lldb::SBListener::SBListener | ( | const SBListener & | rhs | ) |

lldb::SBListener::~SBListener | ( |  | ) |

lldb::SBListener::SBListener | ( | const lldb::ListenerSP & | listener_sp | ) |
| protected

## Member Function Documentation

void lldb::SBListener::AddEvent | ( | const lldb::SBEvent & | event | ) |

void lldb::SBListener::Clear | ( |  | ) |

bool lldb::SBListener::GetNextEvent | ( | lldb::SBEvent & | sb_event | ) |

bool lldb::SBListener::GetNextEventForBroadcaster | ( | const lldb::SBBroadcaster & | broadcaster,
|  | lldb::SBEvent & | sb_event
| ) |  |

bool lldb::SBListener::GetNextEventForBroadcasterWithType | ( | const lldb::SBBroadcaster & | broadcaster,
|  | uint32_t | event_type_mask,
|  | lldb::SBEvent & | sb_event
| ) |  |

lldb::ListenerSP lldb::SBListener::GetSP | ( |  | ) |
| inlineprotected

Definition at line 92 of file SBListener.h.

bool lldb::SBListener::HandleBroadcastEvent | ( | const lldb::SBEvent & | event | ) |

bool lldb::SBListener::IsValid | ( |  | ) | const

const lldb::SBListener& lldb::SBListener::operator= | ( | const lldb::SBListener & | rhs | ) |

bool lldb::SBListener::PeekAtNextEvent | ( | lldb::SBEvent & | sb_event | ) |

bool lldb::SBListener::PeekAtNextEventForBroadcaster | ( | const lldb::SBBroadcaster & | broadcaster,
|  | lldb::SBEvent & | sb_event
| ) |  |

bool lldb::SBListener::PeekAtNextEventForBroadcasterWithType | ( | const lldb::SBBroadcaster & | broadcaster,
|  | uint32_t | event_type_mask,
|  | lldb::SBEvent & | sb_event
| ) |  |

uint32_t lldb::SBListener::StartListeningForEventClass | ( | SBDebugger & | debugger,
|  | const char * | broadcaster_class,
|  | uint32_t | event_mask
| ) |  |

uint32_t lldb::SBListener::StartListeningForEvents | ( | const lldb::SBBroadcaster & | broadcaster,
|  | uint32_t | event_mask
| ) |  |

bool lldb::SBListener::StopListeningForEventClass | ( | SBDebugger & | debugger,
|  | const char * | broadcaster_class,
|  | uint32_t | event_mask
| ) |  |

bool lldb::SBListener::StopListeningForEvents | ( | const lldb::SBBroadcaster & | broadcaster,
|  | uint32_t | event_mask
| ) |  |

bool lldb::SBListener::WaitForEvent | ( | uint32_t | num_seconds,
|  | lldb::SBEvent & | event
| ) |  |

bool lldb::SBListener::WaitForEventForBroadcaster | ( | uint32_t | num_seconds,
|  | const lldb::SBBroadcaster & | broadcaster,
|  | lldb::SBEvent & | sb_event
| ) |  |

bool lldb::SBListener::WaitForEventForBroadcasterWithType | ( | uint32_t | num_seconds,
|  | const lldb::SBBroadcaster & | broadcaster,
|  | uint32_t | event_type_mask,
|  | lldb::SBEvent & | sb_event
| ) |  |

## Friends And Related Function Documentation

friend class SBAttachInfo
| friend

Definition at line 83 of file SBListener.h.

friend class SBBroadcaster
| friend

Definition at line 84 of file SBListener.h.

friend class SBCommandInterpreter
| friend

Definition at line 85 of file SBListener.h.

friend class SBDebugger
| friend

Definition at line 86 of file SBListener.h.

friend class SBLaunchInfo
| friend

Definition at line 87 of file SBListener.h.

friend class SBTarget
| friend

Definition at line 88 of file SBListener.h.

The documentation for this class was generated from the following file:

- SBListener.h